<h1>Students</h1>
<table class="table table-striped">
  <thead>
  <tr>
    <th scope="col">id</th>
    <th scope="col">Name</th>
    <th scope="col">Address</th>
    <th scope="col">Phone</th>
    <th scope="col">Active</th>
    <th scope="col">Course</th>
    <th scope="col">Edit</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let student of students">
    <th scope="row">{{student.id}}</th>
    <td>{{student.name}}</td>
    <td>{{student.address}}</td>
    <td>{{student.phone}}</td>
    <td *ngIf="student.isActive" style="color: green">Student active</td>
    <td *ngIf="!student.isActive" style="color: red">Student not active</td>
    <td>{{student.course}}</td>
    <td><button class="btn btn-primary" (click)="open(content, student.id)">Change</button></td>
  </tr>
  </tbody>
</table>


<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Profile update</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <label for="name">Name</label>
        <div class="input-group">
          <input class="form-control" type="text" id="name" name="name" [(ngModel)]="studentForChange.name">
        </div>
      </div>
       <div class="form-group">
        <label for="address">Address</label>
        <div class="input-group">
          <input class="form-control" type="text" id="address" name="address" [(ngModel)]="studentForChange.address">
        </div>
      </div>
       <div class="form-group">
        <label for="phone">Phone</label>
        <div class="input-group">
          <input class="form-control" type="text" id="phone" name="phone" [(ngModel)]="studentForChange.phone">
        </div>
      </div>
       <div class="form-group">
        <label for="activity-true">Active</label>
        <div class="form-check form-check-inline">
          <input class="form-check-input m-2" type="checkbox" name="activity-true" [(ngModel)]="studentForChange.isActive" id="activity-true" value="true" [checked]="studentForChange.isActive">
        </div>

      </div>
       <div class="form-group">
        <label for="course">Course</label>
        <div class="input-group">
          <input class="form-control" type="text" id="course" name="course" [(ngModel)]="studentForChange.course">
        </div>
      </div>

    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="modal.close(true)">Save</button>
    <button type="button" class="btn btn-outline-danger" (click)="modal.close(false)">Delete Student</button>
  </div>
</ng-template>

<button class="btn btn-primary" (click)="open(content, null)">Add new student</button>
